OpenMesh::IO::binary< T > Struct Template Reference

The struct defines how to store and restore the type T. More...

`#include <OpenMesh/Core/IO/SR_binary.hh>`

## Public Types

typedef T | value_type

## Static Public Member Functions

static size_t | size_of (void)
static size_t | size_of (const value_type &)
static size_t | store (std::ostream &, const value_type &, bool)
static size_t | restore (std::istream &, value_type &, bool)

## Static Public Attributes

static const bool | is_streamable = false

## Detailed Description

### template<typename T>
struct OpenMesh::IO::binary< T >

The struct defines how to store and restore the type T.

It's used by the OM reader/writer modules.

The following specialization are provided:

- Fundamental types except `long` `double`
- OpenMesh vector types
- OpenMesh::StatusInfo
- std::string (max. length 65535)

Todo:
  Complete documentation of members

The documentation for this struct was generated from the following file:

- OpenMesh/Core/IO/SR_binary.hh